## NMAccessPoint NMAccessPoint |

## Functions

GObject * | nm_access_point_new ()
NM80211ApFlags | nm_access_point_get_flags ()
NM80211ApSecurityFlags | nm_access_point_get_wpa_flags ()
NM80211ApSecurityFlags | nm_access_point_get_rsn_flags ()
const GByteArray * | nm_access_point_get_ssid ()
const char * | nm_access_point_get_bssid ()
guint32 | nm_access_point_get_frequency ()
NM80211Mode | nm_access_point_get_mode ()
guint32 | nm_access_point_get_max_bitrate ()
guint8 | nm_access_point_get_strength ()
GSList * | nm_access_point_filter_connections ()
gboolean | nm_access_point_connection_valid ()
const char * | nm_access_point_get_hw_address ()

## Properties

gchar * | bssid | Read
guint | flags | Read
guint | frequency | Read
gchar * | hw-address | Read
guint | max-bitrate | Read
guint | mode | Read
guint | rsn-flags | Read
NMSsid * | ssid | Read
guchar | strength | Read
guint | wpa-flags | Read

## Types and Values

#define | NM_ACCESS_POINT_FLAGS
#define | NM_ACCESS_POINT_WPA_FLAGS
#define | NM_ACCESS_POINT_RSN_FLAGS
#define | NM_ACCESS_POINT_SSID
#define | NM_ACCESS_POINT_BSSID
#define | NM_ACCESS_POINT_FREQUENCY
#define | NM_ACCESS_POINT_MODE
#define | NM_ACCESS_POINT_MAX_BITRATE
#define | NM_ACCESS_POINT_STRENGTH
#define | NM_ACCESS_POINT_HW_ADDRESS

## Object Hierarchy

        GObject
        ╰── NMObject
            ╰── NMAccessPoint

## Description

## Functions

### nm_access_point_new ()

    GObject *
    nm_access_point_new (DBusGConnection *connection,
                         const char *path);

Creates a new NMAccessPoint.

#### Parameters

connection | the DBusGConnection |
path | the DBusobject path of the access point |

#### Returns

a new access point.

[transfer full]

### nm_access_point_get_flags ()

    NM80211ApFlags
    nm_access_point_get_flags (NMAccessPoint *ap);

Gets the flags of the access point.

#### Parameters

ap | a NMAccessPoint |

#### Returns

the flags

### nm_access_point_get_wpa_flags ()

    NM80211ApSecurityFlags
    nm_access_point_get_wpa_flags (NMAccessPoint *ap);

Gets the WPA (version 1) flags of the access point.

#### Parameters

ap | a NMAccessPoint |

#### Returns

the WPA flags

### nm_access_point_get_rsn_flags ()

    NM80211ApSecurityFlags
    nm_access_point_get_rsn_flags (NMAccessPoint *ap);

Gets the RSN (Robust Secure Network, ie WPA version 2) flags of the access point.

#### Parameters

ap | a NMAccessPoint |

#### Returns

the RSN flags

### nm_access_point_get_ssid ()

    const GByteArray *
    nm_access_point_get_ssid (NMAccessPoint *ap);

Gets the SSID of the access point.

#### Parameters

ap | a NMAccessPoint |

#### Returns

the GByteArray containing the SSID. This is the internal copy used by the access point, and must not be modified.

### nm_access_point_get_bssid ()

    const char *
    nm_access_point_get_bssid (NMAccessPoint *ap);

Gets the Basic Service Set ID (BSSID) of the WiFi access point.

#### Parameters

ap | a NMAccessPoint |

#### Returns

the BSSID of the access point. This is an internal string and must not be modified or freed.

### nm_access_point_get_frequency ()

    guint32
    nm_access_point_get_frequency (NMAccessPoint *ap);

Gets the frequency of the access point.

#### Parameters

ap | a NMAccessPoint |

#### Returns

the frequency

### nm_access_point_get_mode ()

    NM80211Mode
    nm_access_point_get_mode (NMAccessPoint *ap);

Gets the mode of the access point.

#### Parameters

ap | a NMAccessPoint |

#### Returns

the mode

### nm_access_point_get_max_bitrate ()

    guint32
    nm_access_point_get_max_bitrate (NMAccessPoint *ap);

Gets the maximum bit rate of the access point.

#### Parameters

ap | a NMAccessPoint |

#### Returns

the maximum bit rate

### nm_access_point_get_strength ()

    guint8
    nm_access_point_get_strength (NMAccessPoint *ap);

Gets the current signal strength of the access point.

#### Parameters

ap | a NMAccessPoint |

#### Returns

the signal strength

### nm_access_point_filter_connections ()

    GSList *
    nm_access_point_filter_connections (NMAccessPoint *ap,
                                        const GSList *connections);

Filters a given list of connections for a given NMAccessPoint object and return connections which may be activated with the access point. Any returned connections will match the `ap` 's SSID and (if given) BSSID and other attributes like security settings, channel, etc.

To obtain the list of connections that are compatible with this access point, use `nm_remote_settings_list_connections()` and then filter the returned list for a given NMDevice using `nm_device_filter_connections()` and finally filter that list with this function.

#### Parameters

ap | an NMAccessPoint to filter connections for |
connections | a list of NMConnection objects to filter. | [element-type NetworkManager.Connection]

#### Returns

a list of NMConnection objects that could be activated with the given `ap` . The elements of the list are owned by their creator and should not be freed by the caller, but the returned list itself is owned by the caller and should be freed with `g_slist_free()` when it is no longer required.

[transfer container][element-type NetworkManager.Connection]

### nm_access_point_connection_valid ()

    gboolean
    nm_access_point_connection_valid (NMAccessPoint *ap,
                                      NMConnection *connection);

Validates a given connection against a given WiFi access point to ensure that the connection may be activated with that AP. The connection must match the `ap` 's SSID, (if given) BSSID, and other attributes like security settings, channel, band, etc.

#### Parameters

ap | an NMAccessPoint to validate `connection` against |
connection | an NMConnection to validate against `ap` |

#### Returns

`TRUE` if the connection may be activated with this WiFi AP, `FALSE` if it cannot be.

### nm_access_point_get_hw_address ()

    const char *
    nm_access_point_get_hw_address (NMAccessPoint *ap);

`nm_access_point_get_hw_address` has been deprecated since version 0.9 and should not be used in newly-written code.

Use `nm_access_point_get_bssid()` instead.

Gets the hardware (MAC) address of the access point.

#### Parameters

ap | a NMAccessPoint |

#### Returns

the hardware address of the access point. This is the internal string used by the access point and must not be modified.

## Types and Values

### NM_ACCESS_POINT_FLAGS

    #define NM_ACCESS_POINT_FLAGS       "flags"

### NM_ACCESS_POINT_WPA_FLAGS

    #define NM_ACCESS_POINT_WPA_FLAGS   "wpa-flags"

### NM_ACCESS_POINT_RSN_FLAGS

    #define NM_ACCESS_POINT_RSN_FLAGS   "rsn-flags"

### NM_ACCESS_POINT_SSID

    #define NM_ACCESS_POINT_SSID        "ssid"

### NM_ACCESS_POINT_BSSID

    #define NM_ACCESS_POINT_BSSID       "bssid"

### NM_ACCESS_POINT_FREQUENCY

    #define NM_ACCESS_POINT_FREQUENCY   "frequency"

### NM_ACCESS_POINT_MODE

    #define NM_ACCESS_POINT_MODE        "mode"

### NM_ACCESS_POINT_MAX_BITRATE

    #define NM_ACCESS_POINT_MAX_BITRATE "max-bitrate"

### NM_ACCESS_POINT_STRENGTH

    #define NM_ACCESS_POINT_STRENGTH    "strength"

### NM_ACCESS_POINT_HW_ADDRESS

    #define NM_ACCESS_POINT_HW_ADDRESS  "hw-address"

## Property Details

### The `“bssid”` property

      “bssid”                    gchar *

BSSID.

Flags: Read

Default value: NULL

### The `“flags”` property

      “flags”                    guint

Flags.

Flags: Read

Allowed values: <= 1

Default value: 0

### The `“frequency”` property

      “frequency”                guint

Frequency.

Flags: Read

Allowed values: <= 10000

Default value: 0

### The `“hw-address”` property

      “hw-address”               gchar *

Hardware MAC address.

Flags: Read

Default value: NULL

### The `“max-bitrate”` property

      “max-bitrate”              guint

Max Bitrate.

Flags: Read

Default value: 0

### The `“mode”` property

      “mode”                     guint

Mode.

Flags: Read

Allowed values: [1,2]

Default value: 2

### The `“rsn-flags”` property

      “rsn-flags”                guint

RSN Flags.

Flags: Read

Default value: 0

### The `“ssid”` property

      “ssid”                     NMSsid *

SSID.

Flags: Read

### The `“strength”` property

      “strength”                 guchar

Strength.

Flags: Read

Default value: 0

### The `“wpa-flags”` property

      “wpa-flags”                guint

WPA Flags.

Flags: Read

Default value: 0